ur_rna.StructureEditor.services

## Enum RnaDrawController.BehaviorMode

- java.lang.Object
- - java.lang.Enum<RnaDrawController.BehaviorMode>
  - - ur_rna.StructureEditor.services.RnaDrawController.BehaviorMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RnaDrawController.BehaviorMode>
  Enclosing class:
    RnaDrawController

      public static enum RnaDrawController.BehaviorMode
      extends java.lang.Enum<RnaDrawController.BehaviorMode>

  BehaviorMode defines two separate "behavior modes" that combine selection behavior along with draw-handle and dragging behaviors. ***********NOTE: NOT YET IMPLEMENTED*********** ### Branch Slide Mode - Click – Selects Branch - Drag – Slides Branch (or Rotates helix if no slide is possible) - Shift-Drag – Moves Branch (with slide-hints) - Alt-Drag – Rotates Branch (at base) - Loop-Handle allow Loop resizing. - Press ‘R’ or select with band to show Rotation handles. ### Nuc Mode - Click Selects Nucleotide (Press spacebar to select Helix/Loop. Again to select branch) - Handles allow Loop resizing and arbitrary rotation. - Drag – Moves Selection - Shift-Drag – Rotates Selection (at base if helix is selected)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRANCH`
    `NUC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RnaDrawController.BehaviorMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RnaDrawController.BehaviorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BRANCH

          public static final RnaDrawController.BehaviorMode BRANCH

    - #### NUC

          public static final RnaDrawController.BehaviorMode NUC

  - ### Method Detail

    - #### valueOf

          public static RnaDrawController.BehaviorMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static RnaDrawController.BehaviorMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RnaDrawController.BehaviorMode c : RnaDrawController.BehaviorMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared